org.apache.maven.artifact.repository.metadata

## Class RepositoryMetadataReadException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.artifact.repository.metadata.RepositoryMetadataReadException

All Implemented Interfaces:
  java.io.Serializable

    public class RepositoryMetadataReadException
    extends java.lang.Exception

Problem storing the repository metadata in the local repository.

Version:
  $Id: RepositoryMetadataReadException.java 495147 2007-01-11 07:47:53Z jvanzyl $
Author:
  Brett Porter
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RepositoryMetadataReadException(java.lang.String message)`
`RepositoryMetadataReadException(java.lang.String message, java.lang.Exception e)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RepositoryMetadataReadException

    public RepositoryMetadataReadException(java.lang.String message)

#### RepositoryMetadataReadException

    public RepositoryMetadataReadException(java.lang.String message,
                                   java.lang.Exception e)